com.independentsoft.exchange

## Enum MeetingRequestType

- java.lang.Object
- - java.lang.Enum<MeetingRequestType>
  - - com.independentsoft.exchange.MeetingRequestType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MeetingRequestType>

      public enum MeetingRequestType
      extends java.lang.Enum<MeetingRequestType>

  Indicates that the meeting request belongs to a principal who has forwarded meeting messages to a delegate and has his copies marked as informational.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FULL_UPDATE` Identifies the meeting request as a full update to an existing request.
    `INFORMATIONAL_UPDATE` Identifies the meeting request as only containing updated informational content.
    `NEW_MEETING_REQUEST` Identifies the meeting request as a new meeting request.
    `NONE` None.
    `OUTDATED` Identifies the meeting request as outdated.
    `PRINCIPAL_WANTS_COPY` Indicates that the meeting request belongs to a principal who has forwarded meeting messages to a delegate and has his copies marked as informational.
    `SILENT_UPDATE` Identifies the meeting request as a silent update to an existing meeting.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MeetingRequestType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MeetingRequestType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final MeetingRequestType NONE

      None.

    - #### FULL_UPDATE

          public static final MeetingRequestType FULL_UPDATE

      Identifies the meeting request as a full update to an existing request.

    - #### INFORMATIONAL_UPDATE

          public static final MeetingRequestType INFORMATIONAL_UPDATE

      Identifies the meeting request as only containing updated informational content.

    - #### NEW_MEETING_REQUEST

          public static final MeetingRequestType NEW_MEETING_REQUEST

      Identifies the meeting request as a new meeting request.

    - #### OUTDATED

          public static final MeetingRequestType OUTDATED

      Identifies the meeting request as outdated.

    - #### SILENT_UPDATE

          public static final MeetingRequestType SILENT_UPDATE

      Identifies the meeting request as a silent update to an existing meeting.

    - #### PRINCIPAL_WANTS_COPY

          public static final MeetingRequestType PRINCIPAL_WANTS_COPY

      Indicates that the meeting request belongs to a principal who has forwarded meeting messages to a delegate and has his copies marked as informational.

  - ### Method Detail

    - #### values

          public static MeetingRequestType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MeetingRequestType c : MeetingRequestType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MeetingRequestType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null